<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Class Hierarchy</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li class="current"><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Class Hierarchy</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">
<p><a href="inherits.html">Go to the graphical class hierarchy</a></p>
This inheritance list is sorted roughly, but not completely, alphabetically:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span><span onclick="javascript:toggleLevel(3);">3</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_0_" class="arrow" onclick="toggleFolder('0_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>std::exception</b></td><td class="desc">STL class </td></tr>
<tr id="row_0_0_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_0_" class="arrow" onclick="toggleFolder('0_0_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_xs_exception.html" target="_self">XsException</a></td><td class="desc">Exception class for Xsens public libraries. Inherits from std::exception </td></tr>
<tr id="row_0_0_0_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_xs_device_configuration_exception.html" target="_self">XsDeviceConfigurationException</a></td><td class="desc"></td></tr>
<tr id="row_1_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_message_header_1_1_length_data_1_1_extended_length.html" target="_self">XsMessageHeader::LengthData::ExtendedLength</a></td><td class="desc">Contains extended length information and first byte of data buffer if normal length is 255 </td></tr>
<tr id="row_2_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_message_header_1_1_length_data_1_1_extended_length_1_1_extended_parts.html" target="_self">XsMessageHeader::LengthData::ExtendedLength::ExtendedParts</a></td><td class="desc">The high and low byte of the extended length </td></tr>
<tr id="row_3_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl_1_1_iterator_impl_base.html" target="_self">XsArrayImpl&lt; T, D, I &gt;::IteratorImplBase&lt; F, R, Derived &gt;</a></td><td class="desc">STL-style iterator </td></tr>
<tr id="row_4_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_4_" class="arrow" onclick="toggleFolder('4_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl_1_1_iterator_impl_base.html" target="_self">XsArrayImpl&lt; T, D, I &gt;::IteratorImplBase&lt; F, T const, IteratorImplConst&lt; F &gt; &gt;</a></td><td class="desc"></td></tr>
<tr id="row_4_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl_1_1_iterator_impl_const.html" target="_self">XsArrayImpl&lt; T, D, I &gt;::IteratorImplConst&lt; F &gt;</a></td><td class="desc">A const iterator implementation </td></tr>
<tr id="row_5_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_5_" class="arrow" onclick="toggleFolder('5_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl_1_1_iterator_impl_base.html" target="_self">XsArrayImpl&lt; T, D, I &gt;::IteratorImplBase&lt; F, T, IteratorImpl&lt; F &gt; &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl_1_1_iterator_impl.html" target="_self">XsArrayImpl&lt; T, D, I &gt;::IteratorImpl&lt; F &gt;</a></td><td class="desc">A non-const iterator implementation </td></tr>
<tr id="row_6_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="union_xs_message_header_1_1_length_data.html" target="_self">XsMessageHeader::LengthData</a></td><td class="desc">Contains optional extended length of message and first byte of data buffer </td></tr>
<tr id="row_7_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_7_" class="arrow" onclick="toggleFolder('7_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>QAxBindable</b></td><td class="desc"></td></tr>
<tr id="row_7_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_i_xsens_device_api.html" target="_self">IXsensDeviceApi</a></td><td class="desc">Class containing the COM interface for Xsens Device API </td></tr>
<tr id="row_8_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_8_" class="arrow" onclick="toggleFolder('8_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>QObject</b></td><td class="desc"></td></tr>
<tr id="row_8_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_i_xsens_device_api.html" target="_self">IXsensDeviceApi</a></td><td class="desc">Class containing the COM interface for Xsens Device API </td></tr>
<tr id="row_9_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_analog_in_data.html" target="_self">XsAnalogInData</a></td><td class="desc">Data from analog inputs from sensors </td></tr>
<tr id="row_10_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_10_" class="arrow" onclick="toggleFolder('10_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array.html" target="_self">XsArray</a></td><td class="desc">Provides generic storage for data in an array and manipulation operations on that data </td></tr>
<tr id="row_10_0_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_10_0_" class="arrow" onclick="toggleFolder('10_0_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl.html" target="_self">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="desc">A C++ wrapper for <a class="el" href="struct_xs_array.html" title="Provides generic storage for data in an array and manipulation operations on that data...">XsArray</a>, this is a template class for the actual specialized classes </td></tr>
<tr id="row_10_0_0_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_string.html" target="_self">XsString</a></td><td class="desc">A 0-terminated managed string of characters </td></tr>
<tr id="row_10_1_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_10_1_" class="arrow" onclick="toggleFolder('10_1_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl.html" target="_self">XsArrayImpl&lt; int, g_xsIntArrayDescriptor, XsIntArray &gt;</a></td><td class="desc"></td></tr>
<tr id="row_10_1_0_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_int_array.html" target="_self">XsIntArray</a></td><td class="desc">A list of XsInt values </td></tr>
<tr id="row_10_2_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_10_2_" class="arrow" onclick="toggleFolder('10_2_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl.html" target="_self">XsArrayImpl&lt; int64_t, g_xsInt64ArrayDescriptor, XsInt64Array &gt;</a></td><td class="desc"></td></tr>
<tr id="row_10_2_0_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_int64_array.html" target="_self">XsInt64Array</a></td><td class="desc">A list of int64_t values </td></tr>
<tr id="row_10_3_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_10_3_" class="arrow" onclick="toggleFolder('10_3_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl.html" target="_self">XsArrayImpl&lt; uint8_t, g_xsByteArrayDescriptor, XsByteArray &gt;</a></td><td class="desc"></td></tr>
<tr id="row_10_3_0_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_byte_array.html" target="_self">XsByteArray</a></td><td class="desc">A list of uint8_t values </td></tr>
<tr id="row_10_4_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_10_4_" class="arrow" onclick="toggleFolder('10_4_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl.html" target="_self">XsArrayImpl&lt; XsDeviceId, g_xsDeviceIdArrayDescriptor, XsDeviceIdArray &gt;</a></td><td class="desc"></td></tr>
<tr id="row_10_4_0_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_device_id_array.html" target="_self">XsDeviceIdArray</a></td><td class="desc">A list of <a class="el" href="struct_xs_device_id.html" title="Contains an Xsens device ID and provides operations for determining the type of device. ">XsDeviceId</a> values </td></tr>
<tr id="row_10_5_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_10_5_" class="arrow" onclick="toggleFolder('10_5_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl.html" target="_self">XsArrayImpl&lt; XsDevicePtr, g_xsDevicePtrArrayDescriptor, XsDevicePtrArray &gt;</a></td><td class="desc"></td></tr>
<tr id="row_10_5_0_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_device_ptr_array.html" target="_self">XsDevicePtrArray</a></td><td class="desc">A list of XsDevicePtr values </td></tr>
<tr id="row_10_6_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_10_6_" class="arrow" onclick="toggleFolder('10_6_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl.html" target="_self">XsArrayImpl&lt; XsFilterProfile, g_xsFilterProfileArrayDescriptor, XsFilterProfileArray &gt;</a></td><td class="desc"></td></tr>
<tr id="row_10_6_0_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_filter_profile_array.html" target="_self">XsFilterProfileArray</a></td><td class="desc">A list of <a class="el" href="struct_xs_filter_profile.html" title="Contains information about an available filter profile. ">XsFilterProfile</a> values </td></tr>
<tr id="row_10_7_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_10_7_" class="arrow" onclick="toggleFolder('10_7_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl.html" target="_self">XsArrayImpl&lt; XsMessage, g_xsMessageArrayDescriptor, XsMessageArray &gt;</a></td><td class="desc"></td></tr>
<tr id="row_10_7_0_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_message_array.html" target="_self">XsMessageArray</a></td><td class="desc">A list of <a class="el" href="struct_xs_message.html" title="Structure for storing a single message. ">XsMessage</a> values </td></tr>
<tr id="row_10_8_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_10_8_" class="arrow" onclick="toggleFolder('10_8_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl.html" target="_self">XsArrayImpl&lt; XsOutputConfiguration, g_xsOutputConfigurationArrayDescriptor, XsOutputConfigurationArray &gt;</a></td><td class="desc"></td></tr>
<tr id="row_10_8_0_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_output_configuration_array.html" target="_self">XsOutputConfigurationArray</a></td><td class="desc">A list of <a class="el" href="struct_xs_output_configuration.html" title="Single data type output configuration. ">XsOutputConfiguration</a> values </td></tr>
<tr id="row_10_9_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_10_9_" class="arrow" onclick="toggleFolder('10_9_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl.html" target="_self">XsArrayImpl&lt; XsPortInfo, g_xsPortInfoArrayDescriptor, XsPortInfoArray &gt;</a></td><td class="desc"></td></tr>
<tr id="row_10_9_0_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_port_info_array.html" target="_self">XsPortInfoArray</a></td><td class="desc">A list of <a class="el" href="struct_xs_port_info.html" title="Contains a descriptor for opening a communication port to an Xsens device. ">XsPortInfo</a> values </td></tr>
<tr id="row_10_10_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_10_10_" class="arrow" onclick="toggleFolder('10_10_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl.html" target="_self">XsArrayImpl&lt; XsString, g_xsStringArrayDescriptor, XsStringArray &gt;</a></td><td class="desc"></td></tr>
<tr id="row_10_10_0_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_string_array.html" target="_self">XsStringArray</a></td><td class="desc">A list of <a class="el" href="struct_xs_string.html" title="A 0-terminated managed string of characters. ">XsString</a> values </td></tr>
<tr id="row_10_11_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_10_11_" class="arrow" onclick="toggleFolder('10_11_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl.html" target="_self">XsArrayImpl&lt; XsSyncSetting, g_xsSyncSettingArrayDescriptor, XsSyncSettingArray &gt;</a></td><td class="desc"></td></tr>
<tr id="row_10_11_0_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_sync_setting_array.html" target="_self">XsSyncSettingArray</a></td><td class="desc">A list of <a class="el" href="struct_xs_sync_setting.html" title="A structure for storing all xsens sync settings. ">XsSyncSetting</a> values </td></tr>
<tr id="row_11_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_descriptor.html" target="_self">XsArrayDescriptor</a></td><td class="desc">This object describes how to treat the data in an array </td></tr>
<tr id="row_12_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_atomic_int.html" target="_self">XsAtomicInt</a></td><td class="desc">Wrapper class for easy use of XsAtomicIntValue values </td></tr>
<tr id="row_13_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_calibrated_data.html" target="_self">XsCalibratedData</a></td><td class="desc">Container for combined calibrated measurement data from accelerometers, gyroscopes and magnetometers </td></tr>
<tr id="row_14_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_14_" class="arrow" onclick="toggleFolder('14_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_callback_plain_c.html" target="_self">XsCallbackPlainC</a></td><td class="desc">Structure that contains callback functions for the Xsens Device API </td></tr>
<tr id="row_14_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_xs_callback.html" target="_self">XsCallback</a></td><td class="desc">Structure that contains callback functions for the Xsens Device API </td></tr>
<tr id="row_15_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_control.html" target="_self">XsControl</a></td><td class="desc">High level Motion Tracker (MT) management class </td></tr>
<tr id="row_16_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_data_format.html" target="_self">XsDataFormat</a></td><td class="desc">A structure for storing data formats </td></tr>
<tr id="row_17_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_data_packet.html" target="_self">XsDataPacket</a></td><td class="desc">Contains an interpreted data message. The class provides easy access to the contained data through its many functions </td></tr>
<tr id="row_18_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_device.html" target="_self">XsDevice</a></td><td class="desc">A pointer to an <a class="el" href="struct_xs_device.html" title="A pointer to an XsDevice object. ">XsDevice</a> object </td></tr>
<tr id="row_19_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_device_configuration.html" target="_self">XsDeviceConfiguration</a></td><td class="desc">Structure containing a full device configuration as returned by the ReqConfig message </td></tr>
<tr id="row_20_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_device_id.html" target="_self">XsDeviceId</a></td><td class="desc">Contains an Xsens device ID and provides operations for determining the type of device </td></tr>
<tr id="row_21_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_device_mode.html" target="_self">XsDeviceMode</a></td><td class="desc">Contains the output configuration of a device </td></tr>
<tr id="row_22_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_device_mode_p_s.html" target="_self">XsDeviceModePS</a></td><td class="desc">Stores device modes using period and skip factor </td></tr>
<tr id="row_23_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_device_mode_r.html" target="_self">XsDeviceModeR</a></td><td class="desc">A structure for storing device modes </td></tr>
<tr id="row_24_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_device_parameter.html" target="_self">XsDeviceParameter</a></td><td class="desc">Class to set and retrieve parameters from a <a class="el" href="struct_xs_device.html" title="A pointer to an XsDevice object. ">XsDevice</a> object </td></tr>
<tr id="row_25_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_xs_device_ref.html" target="_self">XsDeviceRef</a></td><td class="desc">A references counted class for <a class="el" href="struct_xs_device.html" title="A pointer to an XsDevice object. ">XsDevice</a>. This class can be used to have a reference counted pointer to an <a class="el" href="struct_xs_device.html" title="A pointer to an XsDevice object. ">XsDevice</a> object as returned by <a class="el" href="struct_xs_control.html" title="High level Motion Tracker (MT) management class. ">XsControl</a>. When used, <a class="el" href="struct_xs_device.html" title="A pointer to an XsDevice object. ">XsDevice</a> pointer will only be deleted when its reference count is zero. Enabling classes which use the device pointer to terminate gracefully before the pointer is deleted </td></tr>
<tr id="row_26_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_euler.html" target="_self">XsEuler</a></td><td class="desc">Contains Euler Angle data and conversion from Quaternion </td></tr>
<tr id="row_27_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_file.html" target="_self">XsFile</a></td><td class="desc">Encapsulates a file, providing a platform independent interface </td></tr>
<tr id="row_28_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_filter_profile.html" target="_self">XsFilterProfile</a></td><td class="desc">Contains information about an available filter profile </td></tr>
<tr id="row_29_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_gps_pvt_data.html" target="_self">XsGpsPvtData</a></td><td class="desc">Data from the GPS unit of a legacy MTi-G </td></tr>
<tr id="row_30_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_icc_rep_motion_result.html" target="_self">XsIccRepMotionResult</a></td><td class="desc">Contains the result of the representative motion processed by ICC </td></tr>
<tr id="row_31_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_library_loader.html" target="_self">XsLibraryLoader</a></td><td class="desc">The Xsens dynamic library loader base class </td></tr>
<tr id="row_32_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_master_device_configuration.html" target="_self">XsMasterDeviceConfiguration</a></td><td class="desc">Device information for the main device in an <a class="el" href="struct_xs_device_configuration.html" title="Structure containing a full device configuration as returned by the ReqConfig message. ">XsDeviceConfiguration</a> </td></tr>
<tr id="row_33_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_33_" class="arrow" onclick="toggleFolder('33_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_matrix.html" target="_self">XsMatrix</a></td><td class="desc">A class that represents a matrix of real numbers </td></tr>
<tr id="row_33_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_matrix3x3.html" target="_self">XsMatrix3x3</a></td><td class="desc">A class that represents a fixed size (3x3) matrix </td></tr>
<tr id="row_34_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_message.html" target="_self">XsMessage</a></td><td class="desc">Structure for storing a single message </td></tr>
<tr id="row_35_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_message_header.html" target="_self">XsMessageHeader</a></td><td class="desc">A message header </td></tr>
<tr id="row_36_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_mt_device_configuration.html" target="_self">XsMtDeviceConfiguration</a></td><td class="desc">Device information for MT devices in an <a class="el" href="struct_xs_device_configuration.html" title="Structure containing a full device configuration as returned by the ReqConfig message. ">XsDeviceConfiguration</a> </td></tr>
<tr id="row_37_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_mutex.html" target="_self">XsMutex</a></td><td class="desc">A platform independent mutex implementation </td></tr>
<tr id="row_38_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_mutex_locker.html" target="_self">XsMutexLocker</a></td><td class="desc">A RAII object that ensures mutexes are unlocked when leaving scope </td></tr>
<tr id="row_39_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_network_scanner.html" target="_self">XsNetworkScanner</a></td><td class="desc">This class will take care of instantiating/deleting the NetworkScanner and will act as reference Counter </td></tr>
<tr id="row_40_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_output_configuration.html" target="_self">XsOutputConfiguration</a></td><td class="desc">Single data type output configuration </td></tr>
<tr id="row_41_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_port_info.html" target="_self">XsPortInfo</a></td><td class="desc">Contains a descriptor for opening a communication port to an Xsens device </td></tr>
<tr id="row_42_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_pressure.html" target="_self">XsPressure</a></td><td class="desc">Pressure data </td></tr>
<tr id="row_43_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_quaternion.html" target="_self">XsQuaternion</a></td><td class="desc">A class that implements a quaternion </td></tr>
<tr id="row_44_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_range.html" target="_self">XsRange</a></td><td class="desc">A class whose objects can be used to store a range. It provides method to check whether a value is inside the range </td></tr>
<tr id="row_45_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_raw_gnss_pvt_data.html" target="_self">XsRawGnssPvtData</a></td><td class="desc">A container for GNSS Position Velocity and Time data </td></tr>
<tr id="row_46_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_raw_gnss_sat_info.html" target="_self">XsRawGnssSatInfo</a></td><td class="desc">A container for GNSS Satellite Information </td></tr>
<tr id="row_47_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_raw_gps_dop.html" target="_self">XsRawGpsDop</a></td><td class="desc">A container for NAV-DOP data </td></tr>
<tr id="row_48_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_raw_gps_sol.html" target="_self">XsRawGpsSol</a></td><td class="desc">A container for NAV-SOL data </td></tr>
<tr id="row_49_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_raw_gps_sv_info.html" target="_self">XsRawGpsSvInfo</a></td><td class="desc">A container for NAV-SVINFO data </td></tr>
<tr id="row_50_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_raw_gps_time_utc.html" target="_self">XsRawGpsTimeUtc</a></td><td class="desc">A container for NAV-TIMEUTC data </td></tr>
<tr id="row_51_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_sat_info.html" target="_self">XsSatInfo</a></td><td class="desc">A container for information of one GNSS satellite </td></tr>
<tr id="row_52_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_xs_scanner.html" target="_self">XsScanner</a></td><td class="desc">Provides static functionality for scanning for Xsens devices </td></tr>
<tr id="row_53_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_scr_data.html" target="_self">XsScrData</a></td><td class="desc">Container for raw sensor measurement data </td></tr>
<tr id="row_54_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_sdi_data.html" target="_self">XsSdiData</a></td><td class="desc">Contains StrapDown Integration (SDI) data </td></tr>
<tr id="row_55_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_self_test_result.html" target="_self">XsSelfTestResult</a></td><td class="desc">Contains the results of a self-test performed by an Xsens device </td></tr>
<tr id="row_56_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_simple_version.html" target="_self">XsSimpleVersion</a></td><td class="desc">A class to store version information </td></tr>
<tr id="row_57_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_snapshot.html" target="_self">XsSnapshot</a></td><td class="desc">A container for Snapshot data </td></tr>
<tr id="row_58_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_socket.html" target="_self">XsSocket</a></td><td class="desc">A platform independent socket implementation </td></tr>
<tr id="row_59_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_sv_info.html" target="_self">XsSvInfo</a></td><td class="desc">A container for information of one satellite </td></tr>
<tr id="row_60_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_sync_setting.html" target="_self">XsSyncSetting</a></td><td class="desc">A structure for storing all xsens sync settings </td></tr>
<tr id="row_61_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_time_stamp.html" target="_self">XsTimeStamp</a></td><td class="desc">This class contains method to set, retrieve and compare timestamps </td></tr>
<tr id="row_62_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_trigger_indication_data.html" target="_self">XsTriggerIndicationData</a></td><td class="desc">Data for a trigger indication message </td></tr>
<tr id="row_63_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_usb_hub_info.html" target="_self">XsUsbHubInfo</a></td><td class="desc">A structure that wraps USB hub information </td></tr>
<tr id="row_64_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_u_short_vector.html" target="_self">XsUShortVector</a></td><td class="desc">A vector containing 3 short values </td></tr>
<tr id="row_65_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_utc_time.html" target="_self">XsUtcTime</a></td><td class="desc">A structure for storing UTC Time values </td></tr>
<tr id="row_66_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_66_" class="arrow" onclick="toggleFolder('66_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_vector.html" target="_self">XsVector</a></td><td class="desc">A class that represents a vector of real numbers </td></tr>
<tr id="row_66_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_vector3.html" target="_self">XsVector3</a></td><td class="desc">A class that represents a fixed size (3) vector </td></tr>
<tr id="row_67_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_version.html" target="_self">XsVersion</a></td><td class="desc">A class to store version information </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
